Skip to main content
`Ctrl`+`K`

# PetscMallocGetCurrentUsage

gets the current amount of memory used that was allocated with `PetscMalloc()`

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscMallocGetCurrentUsage(PetscLogDouble *space)

Not Collective

## Output Parameter

- space - number of bytes currently allocated

## Note

This only works if `-memory_view` or `-log_view_memory` have been used

## See Also

`PetscMallocDump()`, `PetscMallocGetMaximumUsage()`, `PetscMemoryGetCurrentUsage()`, `PetscMalloc()`, `PetscFree()`, `PetscMemoryGetMaximumUsage()`

## Level

intermediate

## Location

src/sys/memory/mtr.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages